import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { Toggleable } from '../../abstract/toggleable';
export declare type DropdownPosition = 'left' | 'right' | 'up' | 'down';
export declare type DropdownBoundary = 'viewport' | 'window' | 'scrollParent' | ElementRef;
export declare type DropdownReference = 'toggle' | 'parent' | ElementRef;
export declare type DropdownDisplay = 'dynamic' | 'static';
/**
 * LF dropdown component.
 */
export declare class DropdownComponent extends Toggleable implements AfterViewInit, OnDestroy {
    protected _host: ElementRef;
    position: DropdownPosition;
    offset: string | number;
    flip: boolean;
    boundary: DropdownBoundary;
    reference: DropdownReference;
    display: DropdownDisplay;
    onShown: EventEmitter<void>;
    onHidden: EventEmitter<void>;
    _hostClassBtnGroup: boolean;
    protected _toggle: ElementRef;
    protected _$toggle: any;
    protected _$host: any;
    protected _animating: boolean;
    protected _disposeOnOptionsChange: () => void;
    protected _onShowUnsubscribe: () => void;
    protected _onHideUnsubscribe: () => void;
    constructor(_host: ElementRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    readonly _hostClassDropleft: boolean;
    readonly _hostClassDropright: boolean;
    readonly _hostClassDropup: boolean;
    protected _createDropdown(): void;
    protected _destroyDropdown(): void;
}
