import { I18nService, RouterService, StorageService } from '@lightweightform/core';
import { ActionsMenuAction } from '../actions-menu/actions-menu.component';
import { AppComponent } from '../app/app.component';
/**
 * HTML string of the top-bar component.
 */
export declare const topBarComponentHtml: string;
/**
 * Key used to translate the "retry validation" help message of fields.
 */
export declare const I18N_TOP_BAR_RETRY_VALIDATION_KEY = "LF_TOP_BAR_RETRY_VALIDATION";
/**
 * LF component used to display the "top-bar" of an application.
 */
export declare class TopBarComponent {
    protected _i18nService: I18nService;
    protected _routerService: RouterService;
    protected _storageService: StorageService;
    protected _appComponent: AppComponent;
    _actionsLabelText: string;
    _retryValidationText: string;
    actions: ActionsMenuAction[];
    constructor(_i18nService: I18nService, _routerService: RouterService, _storageService: StorageService, _appComponent: AppComponent);
    readonly rootUrl: string;
    readonly retryValidationText: string;
    readonly appHasPendingValidation: boolean;
    readonly shouldShowAppRecompute: boolean;
    recomputeAppStateProperties(): void;
    readonly isTreeNavVisible: boolean;
    showTreeNav(): void;
}
