import { I18nService, RouterService, StorageService } from '@lightweightform/core';
import { Identifier, Schema } from '@lightweightform/storage';
/**
 * HTML string of the tree-entry component.
 */
export declare const treeEntryComponentHtml: string;
/**
 * Entry for an item of the tree-nav.
 */
export declare class TreeEntryComponent {
    protected i18nService: I18nService;
    protected routerService: RouterService;
    protected storageService: StorageService;
    /**
     * Path of the entry to display in the tree-nav.
     */
    path: string;
    constructor(i18nService: I18nService, routerService: RouterService, storageService: StorageService);
    readonly addOptionalFormButtonText: string;
    readonly addFormToListButtonText: string;
    readonly schema: Schema;
    readonly isForm: boolean;
    readonly isFormList: boolean;
    childPath(id: Identifier): string;
    addFormToList(): void;
    readonly childrenIds: Identifier[];
    readonly nullChildrenIds: Identifier[];
    childUrl(id: Identifier): string;
    childIsForm(id: Identifier): boolean;
    childIsFormList(id: Identifier): boolean;
    childLabel(id: Identifier): string;
    initializeChild(id: string): void;
    childShouldShow(id: Identifier): boolean;
    childShouldShowError(id: Identifier): boolean;
    childShouldShowWarning(id: Identifier): boolean;
    childValidationIsPending(id: Identifier): boolean;
    childShouldShowRecompute(id: Identifier): boolean;
    recomputeChildStateProperties(id: Identifier, evt: any): void;
    childIsActive(id: Identifier): boolean;
    childHasActiveSubForm(id: Identifier): boolean;
    childSubFormsShouldShow(id: Identifier): boolean;
    childHasSubForms(id: Identifier): boolean;
}
