import { I18nService, RouterService, StorageService } from '@lightweightform/core';
import { ValidationError } from '@lightweightform/storage';
import { Toggleable } from '../../abstract/toggleable';
import { ValidationMessagesService } from '../../services/validation-messages/validation-messages.service';
/**
 * HTML string of the validation panel component.
 */
export declare const validationPanelComponentHtml: string;
/**
 * Validation panel component.
 */
export declare class ValidationPanelComponent extends Toggleable {
    private storageService;
    private i18nService;
    private routerService;
    private validationMessagesService;
    path: string;
    /**
     * Path currently being viewed.
     */
    private _currentPath;
    constructor(storageService: StorageService, i18nService: I18nService, routerService: RouterService, validationMessagesService: ValidationMessagesService);
    readonly errorsText: string;
    readonly warningsText: string;
    readonly noErrorsText: string;
    readonly nextButtonTooltipText: any;
    readonly prevButtonTooltipText: any;
    readonly closeButtonTooltipText: any;
    readonly isPending: boolean;
    readonly currentPath: string;
    readonly currentLabel: string;
    readonly hasNext: boolean;
    next(): void;
    readonly hasPrevious: boolean;
    previous(): void;
    readonly errors: ValidationError[];
    readonly warnings: ValidationError[];
    readonly formHasNoErrors: boolean;
    readonly panelType: string;
    private readonly _pages;
    validationErrorMessage(validationError: ValidationError): string;
    private readonly _validationErrors;
}
